Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class OSGiLaunchConfigurationDelegate

    java.lang.Object
      org.eclipse.debug.core.model.LaunchConfigurationDelegate
          org.eclipse.pde.launching.OSGiLaunchConfigurationDelegate
              org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationDelegate

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

Deprecated. use `OSGiLaunchConfigurationDelegate` instead.

    public class OSGiLaunchConfigurationDelegate

extends OSGiLaunchConfigurationDelegate

A launch delegate for launching OSGi frameworks

Clients may subclass and instantiate this class.

Since:
  3.3
See Also:
  `OSGiLaunchConfigurationDelegate`

Field Summary

Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

Constructor Summary
`OSGiLaunchConfigurationDelegate()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.pde.launching.OSGiLaunchConfigurationDelegate
`getBuildOrder, launch`

Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, getProjectsForProblemSearch, isLaunchProblem, preLaunchCheck, saveBeforeLaunch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSGiLaunchConfigurationDelegate

    public OSGiLaunchConfigurationDelegate()

  Deprecated.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.